Can CleanUp! be used with Internet Explorer 5.x or 6.x?

Yes. If you are using IE 5.x or 6.x, then please be sure you have upgraded to CleanUp! 3.0 or later. It includes full support for IE 5.x and IE 6.x, as well as many other enhancements.

CleanUp! 2.0, on the other hand, only deletes files from the Internet Explorer 1.x-4.x directories. Internet Explorer 5.x uses some of these same directories, so these directories will be cleaned as before. Any new cache directories that Internet Explorer 5.x or 6.x uses - that were not used by IE 1.x-4.x - will not be cleaned by CleanUp! 2.0.

See also How can I tell which version of CleanUp! I am running?.